Subject: Re: noob user, want checkins to all be forced to LF terminated lines

From: Walter Bright <[email-masked]>
Date: Fri, 30 Jul 2010 23:24:34 -0700

Ilari Liusvaara wrote:
> On Fri, Jul 30, 2010 at 10:45:36PM -0700, Walter Bright wrote:
> 
>>> [1] But upon restore, the working copy cache will be wrong
>> Why? Is it someplace else?
> 
> It is inside .git directory and will be caught by full recursive
> backup. Unfortunately, it contains i-node numbers, which aren't
> preserved through backup and restore.
> 
> The wrong i-node numbers would then confuse git (false positives
> in modification detection). Fortunately, this data can be rebuilt
> with single command (see below).

Hmm. One thing I wanted to get away from from Windows was the inability to 
restore files by just copying the tree.

>>> and needs to be rebuilt (git update-index --refresh).

That's crucial to know. Thanks!